-- Módulo de exportación a OpenSCAD para impresión 3D
-- Por: David Martín Pascual - Marzo 2019
-- Versión v2.1

-- Listas de bloques admitidos y asignación de modelo

openscad.bloquesignorar = {
	['air'] = 1,
	['ignore'] = 1,
	['unknown'] = 1,
	['default:glass'] = 1,
	['default:obsidian_glass'] = 1,
	['default:cloud'] = 1,
	['xpanes:pane'] = 1,
	['xpanes:obsidian_pane'] = 1,
	['stairs:slab_glass'] = 1,
	['stairs:slab_obsidian_glass'] = 1,
	['stairs:stair_glass'] = 1,
	['stairs:stair_obsidian_glass'] = 1,
	['moreblocks:coal_glass'] = 1,
	['moreblocks:iron_glass'] = 1,
	['moreblocks:glow_glass'] = 1,
	['moreblocks:super_glow_glass'] = 1,
	['doors:door_glass_a'] = 1,
	['doors:door_glass_b'] = 1,
	['doors:door_obsidian_glass_a'] = 1,
	['doors:door_obsidian_glass_b'] = 1,
	['moreblocks:trap_glass'] = 1,
	['moreblocks:trap_glow_glass'] = 1,
	['moreblocks:trap_super_glow_glass'] = 1,
	['moreblocks:clean_glass'] = 1,
	['building_blocks:woodglass'] = 1,
	['building_blocks:smoothglass'] = 1
	}

-- Lista de tipos de bloque que se tendrán en cuenta para el modelo a exportar
openscad.bloquesadmitidos = {
	-- Bloques sólidos 1x1x1
	['bones:bones'] = 1,
	['default:acacia_wood'] = 1,
	['default:aspen_wood'] = 1,
	['default:brick'] = 1,
	['default:bronzeblock'] = 1,
	['default:cave_ice'] = 1,
	['default:clay'] = 1,
	['default:coalblock'] = 1,
	['default:cobble'] = 1,
	['default:copperblock'] = 1,
	['default:coral_brown'] = 1,
	['default:coral_orange'] = 1,
	['default:coral_skeleton'] = 1,
	['default:desert_cobble'] = 1,
	['default:desert_sand'] = 1,
	['default:desert_sandstone'] = 1,
	['default:desert_sandstone_block'] = 1,
	['default:desert_sandstone_brick'] = 1,
	['default:desert_stone'] = 1,
	['default:desert_stone_block'] = 1,
	['default:desert_stonebrick'] = 1,
	['default:diamondblock'] = 1,
	['default:dirt'] = 1,
	['default:dirt_with_coniferous_litter'] = 1,
	['default:dirt_with_dry_grass'] = 1,
	['default:dirt_with_grass'] = 1,
	['default:dirt_with_grass_footsteps'] = 1,
	['default:dirt_with_rainforest_litter'] = 1,
	['default:dirt_with_snow'] = 1,
	['default:goldblock'] = 1,
	['default:gravel'] = 1,
	['default:ice'] = 1,
	['default:junglewood'] = 1,
	['default:mese'] = 1,
	['default:meselamp'] = 1,
	['default:mossycobble'] = 1,
	['default:nyancat'] = 1,
	['default:nyancat_rainbow'] = 1,
	['default:obsidian'] = 1,
	['default:obsidian_block'] = 1,
	['default:obsidianbrick'] = 1,
	['default:permafrost'] = 1,
	['default:permafrost_with_moss'] = 1,
	['default:permafrost_with_stones'] = 1,
	['default:pine_wood'] = 1,
	['default:sand'] = 1,
	['default:sandstone'] = 1,
	['default:sandstone_block'] = 1,
	['default:sandstonebrick'] = 1,
	['default:silver_sand'] = 1,
	['default:silver_sandstone'] = 1,
	['default:silver_sandstone_block'] = 1,
	['default:silver_sandstone_brick'] = 1,
	['default:snowblock'] = 1,
	['default:steelblock'] = 1,
	['default:stone'] = 1,
	['default:stone_block'] = 1,
	['default:stone_with_coal'] = 1,
	['default:stone_with_copper'] = 1,
	['default:stone_with_diamond'] = 1,
	['default:stone_with_gold'] = 1,
	['default:stone_with_iron'] = 1,
	['default:stone_with_mese'] = 1,
	['default:stone_with_tin'] = 1,
	['default:stonebrick'] = 1,
	['default:tinblock'] = 1,
	['default:wood'] = 1,
	['farming:desert_sand_soil'] = 1,
	['farming:desert_sand_soil_wet'] = 1,
	['farming:soil'] = 1,
	['farming:soil_wet'] = 1,
	['farming:straw'] = 1,
	['moreblocks:coal_stone'] = 1,
	['moreblocks:iron_stone'] = 1,
	['moreblocks:iron_stone_brick'] = 1,
	['moreblocks:plank_stone'] = 1,
	['moreblocks:stone_brick'] = 1,
	['moreblocks:stone_tile'] = 1,
	['moreores:bronze_block'] = 1,
	['moreores:gold_block'] = 1,
	['moreores:mineral_copper'] = 1,
	['moreores:mineral_gold'] = 1,
	['moreores:mineral_mithril'] = 1,
	['moreores:mineral_silver'] = 1,
	['moreores:mineral_tin'] = 1,
	['moreores:mithril_block'] = 1,
	['moreores:silver_block'] = 1,
	['wool:black'] = 1,
	['wool:blue'] = 1,
	['wool:brown'] = 1,
	['wool:cyan'] = 1,
	['wool:dark_green'] = 1,
	['wool:dark_grey'] = 1,
	['wool:green'] = 1,
	['wool:grey'] = 1,
	['wool:magenta'] = 1,
	['wool:orange'] = 1,
	['wool:pink'] = 1,
	['wool:red'] = 1,
	['wool:violet'] = 1,
	['wool:white'] = 1,
	['wool:yellow'] = 1,
	['moreblocks:wood_tile_full'] = 1,
	['building_blocks:Marble'] = 1,
	['building_blocks:Adobe'] = 1,
	['moreblocks:wood_tile_left'] = 1,
	['moreblocks:wood_tile_right'] = 1,
	['moreblocks:trap_stone'] = 1,
	['moreblocks:iron_stone_bricks'] = 1,
	['moreblocks:coal_stone_bricks'] = 1,
	['building_blocks:Roofing'] = 1,
	['moreblocks:wood_tile_up'] = 1,
	['moreblocks:plankstone'] = 1,
	['moreblocks:cobble_compressed'] = 1,
	['moreblocks:cactus_brick'] = 1,
	['building_blocks:Tar'] = 1,
	['technic:granite'] = 1,
	['moreblocks:wood_tile'] = 1,
	['moreblocks:split_stone_tile'] = 1,
	['moreblocks:copperpatina'] = 1,
	['moreblocks:cactus_checker'] = 1,
	['default:cactus'] = 1,
	['building_blocks:fakegrass'] = 1,
	['moreblocks:wood_tile_center'] = 1,
	['moreblocks:split_stone_tile_alt'] = 1,
	['moreblocks:circle_stone_bricks'] = 1,
	['building_blocks:hardwood'] = 1,
	['moreblocks:wood_tile_down'] = 1,
	['moreblocks:grey_bricks'] = 1,
	['building_blocks:grate'] = 1,
	['moreblocks:wood_tile_flipped'] = 1,
	['moreblocks:iron_checker'] = 1,
	['moreblocks:coal_checker'] = 1,

	 -- Muros delgados
	['walls:cobble'] = 2,
	['walls:mossycobble'] = 2,
	['walls:desertcobble'] = 2,
	['default:mese_post_light'] = 2,

	-- Puertas (dos alturas)
	['doors:door_steel_a'] = 3,
	['doors:door_steel_b'] = 3,
	['doors:door_steel_b_1'] = 3,
	['doors:door_steel_b_2'] = 3,
	['doors:door_wood_a'] = 3,
	['doors:door_wood_b'] = 3,
	['doors:door_wood_b_1'] = 3,
	['doors:door_wood_b_2'] = 3,

	-- Cerramientos
	['default:fence_wood'] = 4,
	['default:fence_junglewood'] = 4,
	['default:fence_pine_wood'] = 4,
	['default:fence_acacia_wood'] = 4,
	['default:fence_aspen_wood'] = 4,

	-- Puertas cerramientos
	['doors:gate_wood_open'] = 5,
	['doors:gate_wood_closed'] = 5,
	['doors:gate_junglewood_open'] = 5,
	['doors:gate_junglewood_closed'] = 5,
	['doors:gate_acacia_wood_open'] = 5,
	['doors:gate_acacia_wood_closed'] = 5,
	['doors:gate_aspen_wood_open'] = 5,
	['doors:gate_aspen_wood_closed'] = 5,
	['doors:gate_pine_wood_open'] = 5,
	['doors:gate_pine_wood_closed'] = 5,

	-- Verjas
	['xpanes:bar'] = 6,
	['xpanes:bar_flat'] = 6,

	-- Escaleras
	['default:ladder_steel'] = 7,
	['default:ladder_wood'] = 7,

	-- Trampillas
	['doors:trapdoor_steel'] = 8,
	['doors:trapdoor_steel_open'] = 8,
	['doors:trapdoor'] = 8,
	['doors:trapdoor_open'] = 8,

	-- Antorcha
	['default:torch'] = 9,
	['default:torch_wall'] = 9

	-- Troncos (*tree*) en el código
	-- Hojas (*leaves*) en el código
	-- Losas (stairs:slab_*) en el código
	-- Escalones (stairs:stair_*) en el código
	}